<!doctype html>
<html lang="en">

<head>
    <title>Title</title>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <!-- Jquery -->
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
        integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
</head>

<body>

    <div class="container col-7">
        <h3 class="text-center mb-3">
            Update user
        </h3>
        <div class="row  form-group">
            <label for="" class="col-sm-2">FirstName</label>
            <input id="inp-fname" type="text" class="form-control col-sm-10">
        </div>
        <div class="row  form-group">
            <label for="" class="col-sm-2">FirstName</label>
            <input id="inp-lname" type="text" class="form-control col-sm-10">
        </div>
        <div class="row  form-group">
            <label for="" class="col-sm-2">Subject</label>
            <input id="inp-subject" type="text" class="form-control col-sm-10">
        </div>
        <div class="row  form-group">
            <label for="" class="col-sm-2">Country</label>
            <select name="" id="select-country" class="form-control col-sm-10">
                <option value="">Chọn country</option>
            </select>
        </div>
        <div class="row  form-group">
            <label for="" class="col-sm-2">CustomerType</label>
            <select name="" id="select-customer" class="form-control col-sm-10">
                <option value="">Chọn CustomerType</option>
            </select>
        </div>
        <div class="row  form-group">
            <label for="" class="col-sm-2">Register</label>
            <select name="" id="select-register" class="form-control col-sm-10">
                <option value="">Chọn Register</option>
            </select>
        </div>
        <div class="row  form-group mt-5">
            <div class="col-sm-6">
                <button id="btn-insert" class="btn btn-success w-100">Insert user</button>
            </div>
            <div class="col-sm-6">
                <button class="btn btn-danger w-100">Hủy bỏ</button>
            </div>


        </div>
    </div>
</body>
<script>
    "use strict";
    /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */
    const gBASE_URL_IN = "http://203.171.20.210:8080/devcamp-register-java-api/users/"
    /*** REGION 2 - Vùng gán / thực thi sự kiện cho các elements */
    $(document).ready(function () {
        onLoadDataCountry();
        onLoadDataCustomer();
        onLoadDataRegister();


        $("#btn-insert").on("click", function () {
            goiApiInsertUser();
        })
    })
    /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
    function onBtnInsertUser() {
        var vUserObj = {
            firstname: "",
            lastname: "",
            subject: "",
            country: "",
            customerType: "",
            registerStatus: "",

        }
        getUserData(vUserObj);
        return vUserObj;

    }
    /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/
    function getUserData(paramUser) {
        paramUser.firstname = $("#inp-fname").val().trim();
        paramUser.lastname = $("#inp-lname").val().trim();
        paramUser.subject = $("#inp-subject").val().trim();
        paramUser.country = $("#select-country").val().trim();
        paramUser.customerType = $("#select-customer").val().trim();
        paramUser.registerStatus = $("#select-register").val().trim();
    }
    function onLoadDataCountry() {
        var vSelectCountry = $("#select-country");
        var vArrayCountry = [
            { "IdCountry": "VN", "Country": "Việt Nam" },
            { "IdCountry": "USA", "Country": "USA" },
            { "IdCountry": "AUS", "Country": "AUS" },
            { "IdCountry": "CANA", "Country": "Canada" }];
        for (var bI = 0; bI < vArrayCountry.length; bI++) {
            $("<option/>", {
                value: vArrayCountry[bI].IdCountry,
                text: vArrayCountry[bI].Country
            }).appendTo(vSelectCountry);
        }
    }
    function onLoadDataCustomer() {
        var vSelectCutomer = $("#select-customer");
        var vArrayCustomer = ["Standard", "Gold", "Premium"];
        for (var bI = 0; bI < vArrayCustomer.length; bI++) {
            $("<option/>", {
                value: vArrayCustomer[bI],
                text: vArrayCustomer[bI]
            }).appendTo(vSelectCutomer);
        }
    }
    function onLoadDataRegister() {
        var vSelectRegister = $("#select-register");
        var vArrayResgister = ["New", "Accepted", "Denied"];
        for (var bI = 0; bI < vArrayResgister.length; bI++) {
            $("<option/>", {
                value: vArrayResgister[bI],
                text: vArrayResgister[bI]
            }).appendTo(vSelectRegister);
        }
    }
    // goi api de insert user
    function goiApiInsertUser() {
        var vDataUser = onBtnInsertUser();
        $.ajax({

            url: gBASE_URL_IN,
            type: "POST",
            contentType: "application/json",
            data: JSON.stringify(vDataUser),
            success: function (res) {
                console.log(res);
                alert("Thêm user thành công!");
                window.location.href = "Task32.50.html";
            },
            error: function (error) {
                console.log(error.status);
            }

        })
    }
</script>